Bug 141389 - mdadm cannot assemble after moving disks ia32->itanium
mdadm cannot assemble after moving disks ia32->itanium
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
ia64 Linux
medium Severity medium
: ---
: ---
Assigned To: Doug Ledford
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2004-11-30 16:26 EST by Wendy Cheng
Modified: 2007-11-16 20:14 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-08-09 01:44:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Wendy Cheng 2004-11-30 16:26:13 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1)

Description of problem:

Interoperability of md device between 32 and 64 bit systems.
We have a customer who was using software raid but trying to move it
between IA32 and Itanium systems. It broke so an IT ticket was open
(#44961). I did a quick hacking around the superblock checksum
(kernel) code, it seemed to be working with the changes. The issue was
further confirmed by a tech-list post by Doug Ledford at:


Open this bugzilla accordingly so Doug can add the patch into the kernel.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.create an md device on IA32 system
2.attach the disks into IA64 system
3.assemble the md device as usual 

Actual Results:  Syslog reports:
md: invalid superblock checksum on sda1
md: sda1 has invalid sb, not importing!
md: md_import_device returned -22

Expected Results:  be able to move around md device between IA32 and
IA64 machine. 

Additional info:

I meant to open the bugzilla against RHEL 4 but it doesn't seem to
give me a choice beyond RHEL 3.
Comment 2 Ernie Petrides 2004-12-02 23:13:11 EST
Switching to RHEL4.
Comment 3 Doug Ledford 2007-04-24 14:40:18 EDT
Moving to actual RHEL instead of RHEL Beta.
Comment 4 Luming Yu 2007-08-09 01:44:23 EDT
According to the comments #1, the upstream has included the fix in 2004-November.
So I suppose the latest rhel4 and rhel 5 should have the fix included. And it is
not a bug in the rhel 4.5.

Please re-test it with the latest rhel 4 and rhel 5. closing it..

Note You need to log in before you can comment on or make changes to this bug.